cascading.flow.planner.iso.subgraph.iterator

## Class ExpressionSubGraphIterator

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.iterator.ExpressionSubGraphIterator

All Implemented Interfaces:
  SubGraphIterator, java.util.Iterator<ElementGraph>

    public class ExpressionSubGraphIterator
    extends java.lang.Object
    implements SubGraphIterator

### Constructor Summary

Constructors
Constructor and Description
`ExpressionSubGraphIterator(ExpressionGraph matchExpression, ElementGraph elementGraph)`
`ExpressionSubGraphIterator(PlannerContext plannerContext, ExpressionGraph matchExpression, ElementGraph elementGraph)`
`ExpressionSubGraphIterator(PlannerContext plannerContext, ExpressionGraph contractionExpression, ExpressionGraph matchExpression, boolean firstOnly, ElementGraph elementGraph)`
`ExpressionSubGraphIterator(PlannerContext plannerContext, ExpressionGraph contractionExpression, ExpressionGraph matchExpression, boolean firstOnly, ElementGraph elementGraph, java.util.Collection<FlowElement> elementExcludes)`
`ExpressionSubGraphIterator(PlannerContext plannerContext, ExpressionGraph contractionExpression, ExpressionGraph matchExpression, ElementGraph elementGraph)`
`ExpressionSubGraphIterator(PlannerContext plannerContext, ExpressionGraph contractionExpression, ExpressionGraph matchExpression, ElementGraph elementGraph, java.util.Collection<FlowElement> elementExcludes)`

### Method Summary

Methods
`EnumMultiMap` `getAnnotationMap(ElementAnnotation[] annotations)`
`ElementGraph` `getContractedGraph()`
`ElementGraph` `getElementGraph()`
`Match` `getLastMatch()`
`java.util.List<Match>` `getMatches()`
`boolean` `hasNext()`
`ElementGraph` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(ExpressionGraph matchExpression,
                              ElementGraph elementGraph)

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(PlannerContext plannerContext,
                              ExpressionGraph matchExpression,
                              ElementGraph elementGraph)

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(PlannerContext plannerContext,
                              ExpressionGraph contractionExpression,
                              ExpressionGraph matchExpression,
                              ElementGraph elementGraph)

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(PlannerContext plannerContext,
                              ExpressionGraph contractionExpression,
                              ExpressionGraph matchExpression,
                              ElementGraph elementGraph,
                              java.util.Collection<FlowElement> elementExcludes)

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(PlannerContext plannerContext,
                              ExpressionGraph contractionExpression,
                              ExpressionGraph matchExpression,
                              boolean firstOnly,
                              ElementGraph elementGraph)

#### ExpressionSubGraphIterator

    public ExpressionSubGraphIterator(PlannerContext plannerContext,
                              ExpressionGraph contractionExpression,
                              ExpressionGraph matchExpression,
                              boolean firstOnly,
                              ElementGraph elementGraph,
                              java.util.Collection<FlowElement> elementExcludes)

### Method Detail

#### getElementGraph

    public ElementGraph getElementGraph()

Specified by:
  `getElementGraph` in interface `SubGraphIterator`

#### getMatches

    public java.util.List<Match> getMatches()

#### getContractedGraph

    public ElementGraph getContractedGraph()

#### getLastMatch

    public Match getLastMatch()

#### getAnnotationMap

    public EnumMultiMap getAnnotationMap(ElementAnnotation[] annotations)

Specified by:
  `getAnnotationMap` in interface `SubGraphIterator`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<ElementGraph>`

#### next

    public ElementGraph next()

Specified by:
  `next` in interface `java.util.Iterator<ElementGraph>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<ElementGraph>`